opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
cv::FeatureDetector Class Referenceabstract

`#include <features2d.hpp>`

Inheritance diagram for cv::FeatureDetector:

## Public Member Functions
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()

## Static Public Member Functions
static Ptr< FeatureDetector > | create (const string &detectorType)

## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const =0

## Static Protected Member Functions
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Constructor & Destructor Documentation

virtual cv::FeatureDetector::~FeatureDetector | ( |  | ) |
| virtual

## Member Function Documentation

static Ptr<FeatureDetector> cv::FeatureDetector::create | ( | const string & | detectorType | ) |
| static

void cv::FeatureDetector::detect | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const

void cv::FeatureDetector::detect | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints,
|  | const vector< Mat > & | masks = `vector< Mat >()`
| ) |  | const

virtual void cv::FeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const
| protected pure virtual

Implemented in cv::SurfAdjuster, cv::StarAdjuster, cv::FastAdjuster, cv::DynamicAdaptedFeatureDetector, cv::PyramidAdaptedFeatureDetector, cv::GridAdaptedFeatureDetector, cv::DenseFeatureDetector, cv::SurfFeatureDetector, cv::SiftFeatureDetector, cv::StarFeatureDetector, cv::MserFeatureDetector, cv::GoodFeaturesToTrackDetector, and cv::FastFeatureDetector.

virtual void cv::FeatureDetector::read | ( | const FileNode & |  | ) |
| virtual

Reimplemented in cv::SurfFeatureDetector, cv::SiftFeatureDetector, cv::StarFeatureDetector, cv::MserFeatureDetector, cv::GoodFeaturesToTrackDetector, and cv::FastFeatureDetector.

static void cv::FeatureDetector::removeInvalidPoints | ( | const Mat & | mask,
|  | vector< KeyPoint > & | keypoints
| ) |  |
| static protected

virtual void cv::FeatureDetector::write | ( | FileStorage & |  | ) | const
| virtual

Reimplemented in cv::SurfFeatureDetector, cv::SiftFeatureDetector, cv::StarFeatureDetector, cv::MserFeatureDetector, cv::GoodFeaturesToTrackDetector, and cv::FastFeatureDetector.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp